%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(ExtUtils/MakeMaker.pm) perl(RPM/Make.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name RPM-Make-Simple
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: simple interface to RPM::Make
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/ST/STEVEHA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Generates an RPM from a given list of files.

I wrote this as a 'dumb' RPM builder. An understanding of how an RPM is built
(with spec files and whatnot) is desirable before using this. It's basically
a wrapper for RPM::Make where the most important difference is how files are
chosen and organised, using a simple 'from_file => to_file' syntax.

The Files and MetaData methods can be called more than once.

See RPM::Make for more info.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes example
%perl_vendor_privlib/R*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

